Name:           maven-file-management
Version:        1.2.1
Release:        1%{?dist}
Epoch:          1
License:        ASL 2.0
Summary:        Maven Shared File Management API
Group:          Development/Libraries

# svn checkout http://svn.apache.org/repos/asf/maven/shared/tags/file-management-1.2.1 maven-file-management-1.2.1
# tar caf maven-file-management-1.2.1.tar.xz maven-file-management-1.2.1
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  modello
BuildRequires:  maven
BuildRequires:  maven-surefire-plugin
Requires:       jpackage-utils
Requires:       java
Requires:       maven
Requires:       maven-shared-io
Requires:       plexus-container-default
Requires:       plexus-utils

Obsoletes:      maven-shared-file-management < %{epoch}:%{version}-%{release}
Provides:       maven-shared-file-management = %{epoch}:%{version}-%{release}


%description
API to collect files from a given directory using several include/exclude
rules.


%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# need namespace for new version modello
sed -i "s|<model>|<model xmlns=\"http://modello.codehaus.org/MODELLO/1.3.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://modello.codehaus.org/MODELLO/1.3.0 http://modello.codehaus.org/xsd/modello-1.3.0.xsd\" xml.namespace=\"..\" xml.schemaLocation=\"..\" xsd.namespace=\"..\" xsd.targetNamespace=\"..\">|" src/main/mdo/fileset.mdo


%build
mvn-rpmbuild install javadoc:aggregate \
    -Dmaven.test.skip # TODO Find out why test fails


%install
# JAR
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 target/file-management-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
install -dm 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# JavaDoc
install -Ddm 755 %{buildroot}/%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%add_maven_depmap


%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc %{_javadocdir}/%{name}


%changelog
* Thu Oct 25 2012 Tomas Radej <tradej@redhat.com> - 1:1.2.1-1
- Initial package

